<?php

namespace Automata;

class Registers
{
	public int $B = 0;  // Traverse information
	public int $X = 0;  // Dimension along X-axis
	public int $Y = 0;  // Dimension along Y-axis
	public int $Z = 0;  // Dimension along Z-axis
	public int $N = 0;  // Current line or program number
	public int $I = 0;  // Circle centre, X-axis
	public int $J = 0;  // Circle centre, Y-axis
	public int $K = 0;  // Circle centre, Z-axis
	public int $F = 0;  // Feed in 0.1 mm/min
	public int $S = 0;  // Spindle speed in RPM
	public int $T = 0;  // Tool number
	public int $H = 0;  // Additional functions (unused)
	public int $M = 0;  // Auxiliary functions
	public int $E = 0;  // Number of repetitions / multiple meanins
}
